# Collection Agencies

Allows lenders to keep track of different collection agencies that charged-off loans may be assigned to.
This is useful when a lender assigns charged off loans to a third party debt collection agency.
The Peach Borrower Portal will display the collection agency information to the borrower. The lender can continue to use Peach as the system
of record / ledger for charged off loans. The lender can post any payments collected by the collection agency as `isExternal=true` transactions.
The Peach system will waterfall the payments and update loan balances.


## Get collection agencies

 - [GET /companies/{companyId}/collection-agencies](https://docs.peachfinance.com/api-docs/api-public/collection-agencies/peach.collections.handlers.collection_agencies_list.md)

## Create collection agency

 - [POST /companies/{companyId}/collection-agencies](https://docs.peachfinance.com/api-docs/api-public/collection-agencies/peach.collections.handlers.collection_agency_create.md): Creates a new collection agency. This is useful when a lender assigns a charged off loan to a third party debt collection agency.
The Peach Borrower Portal will display the collection agency information to the borrower. The lender can continue to use Peach as the system
of record / ledger for charged off loans. The lender can post any payments collected by the collection agency as isExternal=true transaction. 
The Peach system will waterfall the payments and update loan balances.

## Delete collection agency

 - [DELETE /companies/{companyId}/collection-agencies/{collectionAgencyId}](https://docs.peachfinance.com/api-docs/api-public/collection-agencies/peach.collections.handlers.collection_agency_delete.md): Sets isArchived = true on the agency

## Get collection agency by ID

 - [GET /companies/{companyId}/collection-agencies/{collectionAgencyId}](https://docs.peachfinance.com/api-docs/api-public/collection-agencies/peach.collections.handlers.collection_agency_get.md)

## Update collection agency

 - [PUT /companies/{companyId}/collection-agencies/{collectionAgencyId}](https://docs.peachfinance.com/api-docs/api-public/collection-agencies/peach.collections.handlers.collection_agency_update.md)

